﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using FourqlParser.Structures;

namespace FourQLInterpreter.InternalModules
{
    /// <summary>
    /// Dummy module which acts as an entru to all user queries
    /// </summary>
    public class QueryEntryModule : InternalModule
    {

        public QueryEntryModule() : base()
        {
            this.Name = "_queryEntryPoint";
        }

        public override LogicValue GetLiteralValue(string relationName, IList<ValueHolder> values)
        {
            throw new NotImplementedException();
        }
    }
}
