﻿using FourqlParser.Structures;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FourqlModeler.Calculcations
{
    class Logic
    {
        public static LogicValue or(LogicValue lhs, LogicValue rhs)
        {
            return lhs >= rhs ? lhs : rhs;
        }

        public static LogicValue and(LogicValue lhs, LogicValue rhs)
        {
            return lhs <= rhs ? lhs : rhs;
        }

        public static LogicValue not(LogicValue value)
        {
            switch (value)
            {
                case LogicValue.FALSE:
                    return LogicValue.TRUE;
                case LogicValue.TRUE:
                    return LogicValue.FALSE;
                default:
                    return value;
            }
        }
    }
}
