﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Input;

namespace FourqlModeler.Commands
{
    public class NotImplementedCommand : ICommand
    {
        public NotImplementedCommand()
        {
        }

        #region ICommand Members

        public event EventHandler CanExecuteChanged
        {
            add { CommandManager.RequerySuggested += value; }
            remove { CommandManager.RequerySuggested -= value; }
        }

        public bool CanExecute(object parameter)
        {
            return true;
        }

        public void Execute(object parameter)
        {
            MessageBox.Show("Not implemented yet.", "Yet to implement", MessageBoxButton.OK, MessageBoxImage.Asterisk);
        }

        #endregion
    }
}
