﻿using FourqlModeler.Dialogs;
using FourqlModeler.ViewModels;
using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Input;
using FourqlModeler.Utility;

namespace FourqlModeler.Commands
{
    public class RestoreModuleCommand : ModuleViewModelCommand
    {
        public ModuleStorageViewModel ModuleStorageViewModel { get; set; }
        
        public RestoreModuleCommand(ModuleStorageViewModel moduleStorageViewModel)
        {
            ModuleStorageViewModel = moduleStorageViewModel;
        }

        #region ModuleViewModelCommand Members

        protected override void ExecuteOn(ModuleViewModel moduleViewModel)
        {
            if (moduleViewModel.IsDirty)
            {
                moduleViewModel.Content = moduleViewModel.SavedContent;
            }
        }

        #endregion
    }
}
