﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FourqlModeler.Communication.Import
{
    class ModuleRepository
    {
        private static ModuleRepository _Instance = new ModuleRepository();
        public static ModuleRepository Instance { get { return _Instance; } }

        public IDictionary<string, FourqlParser.Structures.Module> Modules { get; set; }

        private ModuleRepository()
        {
            Modules = new Dictionary<string, FourqlParser.Structures.Module>();
        }
    }
}
