﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Automation.Peers;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace FourqlModeler.Controls
{
    /// <summary>
    /// Interaction logic for DpiInputDialog.xaml
    /// </summary>
    public partial class DpiInputDialog : Window
    {
        public DpiInputDialog()
        {
            InitializeComponent();
        }
        
        public double? Dpi
        {
            get
            {
                try
                {
                    return double.Parse(DpiTextBox.Text);
                }
                catch (Exception)
                {
                    return null;
                }
            }
        }

        private void OKButton_Click(object sender, RoutedEventArgs e)
        {
            DialogResult = true;
        }
    }
}
