﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FourqlModeler.Utility
{
    public class ExceptionUtils
    {
        public static String GetMessagesWithInners(Exception exception)
        {
            var builder = new StringBuilder(exception.Message);
            var innerEx = exception.InnerException;
            var innerNo = 0;
            while (innerEx != null)
            {
                builder.Append(String.Format("\nInner {0}. ", innerNo++));
                builder.Append(innerEx.Message);
                innerEx = innerEx.InnerException;
            }
            return builder.ToString();
        }
    }
}
