﻿using FourqlParser.Structures;
using FourqlParser.Structures.Optimization;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FourqlParser.Parsers.ModParser.Converters
{
    class RuleConverter : ModuleParserBaseVisitor<Rule>
    {
        public Rule Rule { get; set; }

        public override Rule VisitRuleDef(ModuleParser.RuleDefContext context)
        {
            Rule = new Rule() { Head = context.Head.Accept(new RuleHeadConverter()), Body = new ExprConverter().convert(context.Body), ParserContext = context };
            return Rule;
        }
    }
}
