﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FourqlParser.Structures
{
    public class Relation : OutputSource
    {
        public String Name { get; set; }

        public IDictionary<int, DomainType> PrimitiveDomains {get; set;}

        public IDictionary<int, String> DefinedDomains { get; set; }

        public Relation()
        {
            PrimitiveDomains = new Dictionary<int, DomainType>();
            DefinedDomains = new Dictionary<int, String>();
        }

        public int paramCount()
        {
            return PrimitiveDomains.Count + DefinedDomains.Count;
        }
    }
}
