﻿using FourqlParser.Structures;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FourqlParser.Parsers.Converters
{
    class ProgramConverter : ModuleParserBaseVisitor<Program>
    {
        public Program Program { get; private set; }

        public override Program VisitProgram(ModuleParser.ProgramContext context)
        {
            Program = new Program() { ParserContext = context };
            // FIXME: Should walk through known selected nodes.
            VisitChildren(context);
            return Program;
        }

        public override Program VisitModule(ModuleParser.ModuleContext context)
        {
            Program.Modules.Add(context.Accept(new ModuleConverter()));
            return null;
        }
    }
}
