﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using FourqlParser.Structures.Print;

namespace FourqlParser.Structures
{
    public class Rule : OutputSource
    {
        public Fact Head { get; set; }
        public Expression Body { get; set; }

        /// <summary>
        /// True for rules importing domains
        /// </summary>
        public bool DomainRule { get; set; }

        public Rule()
        {
            DomainRule = false;
        }
        public override string ToString()
        {
            return new ProgramPrinter(false).append(this, "", false).Done();
        }
    }
}
