﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using FourqlParser.Structures;

namespace FourQLInterpreter.InternalModules
{
    /// <summary>
    /// Must be implemented by all plugin modules (external modules)
    /// </summary>
    public interface IPluginModule
    {
        string GetModuleName();
        ICollection<Relation> GetDefinedRelations();

        LogicValue GetLiteralValue(string relationName, IList<ValueHolder> values);
    }
}
