﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using FourqlParser.Structures;
using FourQLInterpreter.InternalModules;

namespace FourQLInterpreter.Reasoning
{
    public static class ModuleDataWrapperFactory
    {
        public static ModuleDataWrapper CreateWrapper(Module module)
        {
            if (module.IsInternalExternal)
                return new InternalModuleWrapper((InternalModule) module);
            else return  new ModuleDataWrapper(module);
        }
    }
}
