﻿using System.Collections.Generic;
using FourqlParser.Structures;

class AlwaysTrue {

		public string GetModuleName() {
			return "alwaysTrue";
		}
        public ICollection<Relation> GetDefinedRelations() {
			return new List<Relation>(){new Relation("trueRel", new List<DomainType>() {DomainType.INTEGER, DomainType.INTEGER})};
		}

        public LogicValue GetLiteralValue(string relationName, IList<ValueHolder> values) {
			return LogicValue.TRUE;
		}
}