﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using FourqlParser.Structures;
using FourQLInterpreter.InternalModules;

namespace _4QLInterpreterTest.Resources.Plugins
{
    class Broken :IPluginModule
    {
        public string GetModuleName()
        {
            return "broken";
        }
        public ICollection<Relation> GetDefinedRelations()
        {
            return new List<Relation>() { new Relation("rel", new List<DomainType>() { DomainType.STRING, DomainType.STRING }) };
        }

        public LogicValue GetLiteralValue(string relationName, IList<ValueHolder> values)
        {
            throw new Exception("exception");
        }
    }
}
