﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using FourqlParser.Structures;

namespace _4QLInterpreterTest.Resources.Plugins
{
    class Contains
    {
        public string GetModuleName()
        {
            return "contains";
        }
        public ICollection<Relation> GetDefinedRelations()
        {
            return new List<Relation>() { new Relation("contains", new List<DomainType>() { DomainType.STRING, DomainType.STRING }) };
        }

        public LogicValue GetLiteralValue(string relationName, IList<ValueHolder> values)
        {
            if( values[0].valueAs<string>().Contains(values[1].valueAs<string>()) )
                return LogicValue.TRUE;
            else return LogicValue.FALSE;
        }
    }
}
