﻿using FourqlModeler.Communication;
using FourqlModeler.Dialogs;
using FourqlModeler.ViewModels;
using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;

namespace FourqlModeler.Commands
{
    public class TestRefreshCommand : ICommand
    {
        public TestRefreshCommand()
        {
        }

        #region ICommand Members

        public event EventHandler CanExecuteChanged
        {
            add { CommandManager.RequerySuggested += value; }
            remove { CommandManager.RequerySuggested -= value; }
        }

        public bool CanExecute(object parameter)
        {
            return true;
        }

        public void Execute(object parameter)
        {
            new SimpleDialog().ShowDialog();
        }

        #endregion
    }

    
}
