﻿using FourqlModeler.Commands;
using FourqlModeler.Views;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Input;

namespace FourqlModeler.ViewModels
{
    /// <summary>
    /// Interactive class that gives access to global (constant) interface elements via View Model objects.
    /// </summary>
    class MainWindowViewModel
    {
        public static readonly MainWindowViewModel Instance = new MainWindowViewModel();

        public MainWindowView MainWindowView { get; set; }
        
        public ConsoleViewModel ConsoleViewModel { get; set; }
    }
}
