﻿
using GraphX;
using YAXLib;

namespace FourqlModeler.Views.GraphExtensions
{
    public class ExtendedEdge : EdgeBase<ExtendedVertex>
    {
        public bool NotImportant { get; set; }
        public string Label { get; set; }
        public string ToolTip { get; set; }

        public ExtendedEdge(ExtendedVertex source, ExtendedVertex target, double weight = 1)
            : base(source, target, weight)
        {
            NotImportant = false;
        }
    }
}
