﻿using FourqlModeler.ViewModels;
using System;
using System.Windows;
using System.Windows.Data;

namespace FourqlModeler.Views.ValueConverters
{
    public class CollectionViewGroupVisibilityConverter : IValueConverter
    {
        #region IValueConverter Members

        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            return value is CollectionViewGroup ? Visibility.Visible : Visibility.Collapsed;
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new Exception("ConvertBack not supported for CollectionViewGroupVisibilityConverter");
        }

        #endregion
    }
}
