﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Data;
using FourqlModeler.ViewModels;

namespace FourqlModeler.Views.ValueConverters
{
    public class GroupByIdAndDescriptionConverter : IValueConverter
    {
        #region IValueConverter Members

        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            var error = value as ErrorDesc;
            return String.Format("#{0}. {1}", error.GroupId, error.Description);
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            return null;
        }

        #endregion
    }
}
