﻿using FourqlParser.Structures;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FourqlParser.Parsers.ModParser.Converters
{
    class DomainConverter : ModuleParserBaseVisitor<Domain>
    {
        public override Domain VisitDomain(ModuleParser.DomainContext context)
        {
            return new Domain() { Name = context.DomainName.Text, Type = context.Type.Accept<DomainType>(new TypeConverter()), ParserContext = context };
        }
    }
}
