﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using FourqlParser.Structures;

namespace FourqlParser.StaticAnalysis
{
    public class AnalysisUtils
    {
        public static void pushError(IOutputSource errorSource, string message, ICollection<InvalidDefinition> errors)
        {
            if (errors == null)
            {
                throw new Exception(message);
            }
            errors.Add(new InvalidDefinition() { ErrorSource = errorSource, Message = message });
        }
    }
}
