﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FourqlParser.Structures
{
    public class Program : OutputSource
    {
        public ICollection<Module> Modules { get; set; }

        public Program()
        {
            Modules = new List<Module>();
        }

        public ICollection<Module> FindModules(string moduleName)
        {
            var modules = new List<Module>();
            foreach (var module in Modules)
            {
                if (module.Name.Equals(moduleName))
                {
                    modules.Add(module);
                }
            }
            return modules;
        }
    }
}
