﻿using FourqlParser.Structures;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FourqlParser.Parsers.Converters
{
    class InConverter : ModuleParserBaseVisitor<IList<LogicValue>>
    {
        public override IList<LogicValue> VisitSingleInLogicArgument(ModuleParser.SingleInLogicArgumentContext context)
        {
            var values = new List<LogicValue>();
            values.Add(context.Head.Accept(new LogicValueConverter()));
            return values;
        }

        public override IList<LogicValue> VisitInLogicArguments(ModuleParser.InLogicArgumentsContext context)
        {
            var values = context.Tail.Accept(this);
            values.Insert(0, context.Head.Accept(new LogicValueConverter()));
            return values;
        }
    }
}
