﻿using System;
using System.IO;
using FourqlParser.Parsers;
using Microsoft.VisualStudio.TestTools.UnitTesting;

namespace FourqlParserTests
{
    [TestClass]
    public class SyntaxErrorTests : BaseModuleTests
    {
        [TestMethod]
        public void VariableInFactDefinitionIsNotAllowed()
        {
            var errors = new ParserDispatcher.Errors();
            ParserDispatcher.parseProgram(GetTestContent("Errors", "variable-fact.4ql"), errors, null);
            Assert.IsTrue(errors.ParserErrors.Count > 0);
        }
    }
}
